高德地图SDK(导航) V11.2.0501

Loading...
Searching...
No Matches
Instance Methods | Properties | List of all members
AMapNaviCompositeManager Class Reference

`#include <AMapNaviCompositeManager.h>`

Inheritance diagram for AMapNaviCompositeManager:

## Instance Methods
(void) | - presentRoutePlanViewControllerWithOptions:
| 通过present的方式显示导航组件页面 注意：此函数涉及到UI操作，请在主线程中调用，否则无效. Display the navigation component page via the present method. Note: This function involves UI operations, please call it in the main thread, otherwise it will be invalid
(void) | - dismissWithAnimated:
| 退出导航组件页面 注意：此函数涉及到UI操作，请在主线程中调用，否则无效. since 5.5.0 Exit the navigation component page. Note: This function involves UI operations, please call it in the main thread, otherwise it will be invalid
(void) | - addAnnotation:
| 在驾车导航界面添加自定义标注 (AMapNaviCustomAnnotation 类型). 注意：每次退出导航之后,标注都会被清空. since 5.5.0 Add custom annotations on the driving navigation interface (AMapNaviCustomAnnotation type). Note: After each exit from navigation, the annotations will be cleared
(void) | - addCompositeAnnotation:
| 在驾车导航界面添加自定义标注 (AMapNaviCompositeCustomAnnotation 类型). 注意：每次退出导航之后,标注都会被清空. since 5.5.0 Add custom annotations on the driving navigation interface (AMapNaviCompositeCustomAnnotation type). Note: After each exit from navigation, the annotations will be cleared
(void) | - removeAnnotation:
| 移除驾车导航界面的自定义标注 (AMapNaviCustomAnnotation 类型). since 5.5.0 Remove custom annotations from the driving navigation interface (AMapNaviCustomAnnotation type)
(void) | - removeCompositeAnnotation:
| 移除驾车导航界面的自定义标注 (AMapNaviCompositeCustomAnnotation 类型). since 5.5.0 Remove custom annotations from the driving navigation interface (AMapNaviCompositeCustomAnnotation type)
(void) | - addCustomOverlay:
| 在驾车导航界面添加自定义Overlay. 注意：每次退出导航之后,Overlay都会被清空. since 6.7.0 Add a custom Overlay to the driving navigation interface. Note: Every time you exit navigation, the Overlay will be cleared
(void) | - removeCustomOverlay:
| 移除驾车导航界面的自定义Overlay. since 6.7.0 Remove the custom Overlay from the driving navigation interface

## Properties
id< AMapNaviCompositeManagerDelegate > | delegate
NSInteger | naviRouteID
AMapNaviRoute * | naviRoute
NSArray< NSNumber * > * | naviRouteIDs
NSDictionary< NSNumber *, AMapNaviRoute * > * | naviRoutes

## Detailed Description

导航组件类 since 5.1.0 注意：AMapNaviCompositeManager 内部使用了单例 [AMapNaviDriveManager sharedInstance] Navigation component class. Note: AMapNaviCompositeManager internally uses the singleton [AMapNaviDriveManager sharedInstance]

## Method Documentation

## ◆ addAnnotation:

- (void) addAnnotation: |  | (AMapNaviCustomAnnotation *_Nonnull) | annotation |

在驾车导航界面添加自定义标注 (AMapNaviCustomAnnotation 类型). 注意：每次退出导航之后,标注都会被清空. since 5.5.0 Add custom annotations on the driving navigation interface (AMapNaviCustomAnnotation type). Note: After each exit from navigation, the annotations will be cleared

Parameters

  annotation | 会被显示在驾车导航界面地图上, 具体参考 AMapNaviCustomAnnotation . Will be displayed on the map in the driving navigation interface, for details, refer to AMapNaviCustomAnnotation

## ◆ addCompositeAnnotation:

- (void) addCompositeAnnotation: |  | (AMapNaviCompositeCustomAnnotation *_Nonnull) | annotation |

在驾车导航界面添加自定义标注 (AMapNaviCompositeCustomAnnotation 类型). 注意：每次退出导航之后,标注都会被清空. since 5.5.0 Add custom annotations on the driving navigation interface (AMapNaviCompositeCustomAnnotation type). Note: After each exit from navigation, the annotations will be cleared

Parameters

  annotation | 会被显示在驾车导航界面地图上, 具体参考 AMapNaviCompositeCustomAnnotation . Will be displayed on the map in the driving navigation interface, for details, refer to AMapNaviCompositeCustomAnnotation

## ◆ addCustomOverlay:

- (void) addCustomOverlay: |  | (id< AMapNaviCompositeOverlay >_Nonnull) | customOverlay |

在驾车导航界面添加自定义Overlay. 注意：每次退出导航之后,Overlay都会被清空. since 6.7.0 Add a custom Overlay to the driving navigation interface. Note: Every time you exit navigation, the Overlay will be cleared

Parameters

  customOverlay | 会被显示在驾车导航界面地图上, 此对象需遵守AMapNaviCompositeOverlay协议,否则无效, 具体参考官方Demo CustomOverlayCompositeViewController 类 . Will be displayed on the driving navigation interface map. This object must comply with the AMapNaviCompositeOverlay protocol, otherwise it will be invalid. For details, please refer to the official Demo CustomOverlayCompositeViewController class

## ◆ dismissWithAnimated:

- (void) dismissWithAnimated: |  | (BOOL) | animated |

退出导航组件页面 注意：此函数涉及到UI操作，请在主线程中调用，否则无效. since 5.5.0 Exit the navigation component page. Note: This function involves UI operations, please call it in the main thread, otherwise it will be invalid

Parameters

  animated | 是否执行动画 Whether to execute animation

## ◆ presentRoutePlanViewControllerWithOptions:

- (void) presentRoutePlanViewControllerWithOptions: |  | (AMapNaviCompositeUserConfig *_Nullable) | options |

通过present的方式显示导航组件页面 注意：此函数涉及到UI操作，请在主线程中调用，否则无效. Display the navigation component page via the present method. Note: This function involves UI operations, please call it in the main thread, otherwise it will be invalid

Parameters

  options | 导航组件的配置类,参考 AMapNaviCompositeUserConfig . Configuration class of the navigation component, refer to AMapNaviCompositeUserConfig

## ◆ removeAnnotation:

- (void) removeAnnotation: |  | (AMapNaviCustomAnnotation *_Nonnull) | annotation |

移除驾车导航界面的自定义标注 (AMapNaviCustomAnnotation 类型). since 5.5.0 Remove custom annotations from the driving navigation interface (AMapNaviCustomAnnotation type)

Parameters

  annotation | 具体参考 AMapNaviCustomAnnotation . For details, refer to AMapNaviCustomAnnotation

## ◆ removeCompositeAnnotation:

- (void) removeCompositeAnnotation: |  | (AMapNaviCompositeCustomAnnotation *_Nonnull) | annotation |

移除驾车导航界面的自定义标注 (AMapNaviCompositeCustomAnnotation 类型). since 5.5.0 Remove custom annotations from the driving navigation interface (AMapNaviCompositeCustomAnnotation type)

Parameters

  annotation | 具体参考 AMapNaviCompositeCustomAnnotation . For details, refer to AMapNaviCompositeCustomAnnotation

## ◆ removeCustomOverlay:

- (void) removeCustomOverlay: |  | (id< AMapNaviCompositeOverlay >_Nonnull) | customOverlay |

移除驾车导航界面的自定义Overlay. since 6.7.0 Remove the custom Overlay from the driving navigation interface

Parameters

  customOverlay | 具体参考 AMapNaviCompositeOverlay . For details, refer to AMapNaviCompositeOverlay

## Property Documentation

## ◆ delegate

- (id<AMapNaviCompositeManagerDelegate>) delegate
| read write nonatomic weak

实现了 AMapNaviCompositeManagerDelegate 协议的类指针 Implements the class pointer of the AMapNaviCompositeManagerDelegate protocol

## ◆ naviRoute

- (AMapNaviRoute*) naviRoute
| read nonatomic assign

当前选择的导航路径的信息,参考 AMapNaviRoute 类. Information of the currently selected navigation route, refer to AMapNaviRoute class

## ◆ naviRouteID

- (NSInteger) naviRouteID
| read nonatomic assign

当前选择的导航路径的ID ID of the currently selected navigation route

## ◆ naviRouteIDs

- (NSArray<NSNumber *>*) naviRouteIDs
| read nonatomic assign

路径规划后的所有路径ID,路径ID为 NSInteger 类型. All route IDs after route planning, route ID is of NSInteger type

## ◆ naviRoutes

- (NSDictionary<NSNumber *, AMapNaviRoute *>*) naviRoutes
| read nonatomic assign

路径规划后的所有路径信息,参考 AMapNaviRoute 类. All route information after route planning, refer to AMapNaviRoute class

The documentation for this class was generated from the following file:

- AMapNaviCompositeManager.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。